Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.Designer.cs	(revision 4423)
@@ -52,11 +52,9 @@
       this.experimentNamedItemView = new HeuristicLab.Core.Views.NamedItemView();
       this.viewExperimentButton = new System.Windows.Forms.Button();
-      this.configurationTabPage = new System.Windows.Forms.TabPage();
-      this.updateJobConfigTreeButton = new System.Windows.Forms.Button();
       this.jobsTabPage = new System.Windows.Forms.TabPage();
-      this.runsTabPage = new System.Windows.Forms.TabPage();
-      this.runCollectionView = new HeuristicLab.Optimization.Views.RunCollectionView();
+      this.hiveJobView = new HeuristicLab.Hive.Experiment.Views.HiveJobView();
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logView = new HeuristicLab.Core.Views.LogView();
+      this.downloadExperimentButton = new System.Windows.Forms.Button();
       this.startButton = new System.Windows.Forms.Button();
       this.stopButton = new System.Windows.Forms.Button();
@@ -69,14 +67,11 @@
       this.disconnectButton = new System.Windows.Forms.Button();
       this.reconnectButton = new System.Windows.Forms.Button();
-      this.downloadExperimentButton = new System.Windows.Forms.Button();
-      this.jobConfigView = new HeuristicLab.Hive.Experiment.Views.JobConfigView();
-      this.jobItemView = new HeuristicLab.Hive.Experiment.Views.JobItemView();
+      this.downloadExperimentPanel = new System.Windows.Forms.Panel();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
       this.tabControl.SuspendLayout();
       this.experimentTabPage.SuspendLayout();
-      this.configurationTabPage.SuspendLayout();
       this.jobsTabPage.SuspendLayout();
-      this.runsTabPage.SuspendLayout();
       this.logTabPage.SuspendLayout();
+      this.downloadExperimentPanel.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -97,7 +92,5 @@
                   | System.Windows.Forms.AnchorStyles.Right)));
       this.tabControl.Controls.Add(this.experimentTabPage);
-      this.tabControl.Controls.Add(this.configurationTabPage);
       this.tabControl.Controls.Add(this.jobsTabPage);
-      this.tabControl.Controls.Add(this.runsTabPage);
       this.tabControl.Controls.Add(this.logTabPage);
       this.tabControl.Location = new System.Drawing.Point(0, 78);
@@ -109,5 +102,4 @@
       // experimentTabPage
       // 
-      this.experimentTabPage.Controls.Add(this.downloadExperimentButton);
       this.experimentTabPage.Controls.Add(this.openExperimentButton);
       this.experimentTabPage.Controls.Add(this.newExperimentButton);
@@ -168,29 +160,7 @@
       this.viewExperimentButton.Click += new System.EventHandler(this.showExperimentButton_Click);
       // 
-      // configurationTabPage
-      // 
-      this.configurationTabPage.Controls.Add(this.jobConfigView);
-      this.configurationTabPage.Controls.Add(this.updateJobConfigTreeButton);
-      this.configurationTabPage.Location = new System.Drawing.Point(4, 22);
-      this.configurationTabPage.Name = "configurationTabPage";
-      this.configurationTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.configurationTabPage.Size = new System.Drawing.Size(727, 390);
-      this.configurationTabPage.TabIndex = 2;
-      this.configurationTabPage.Text = "Configuration";
-      this.configurationTabPage.UseVisualStyleBackColor = true;
-      // 
-      // updateJobConfigTreeButton
-      // 
-      this.updateJobConfigTreeButton.Location = new System.Drawing.Point(6, 6);
-      this.updateJobConfigTreeButton.Name = "updateJobConfigTreeButton";
-      this.updateJobConfigTreeButton.Size = new System.Drawing.Size(199, 23);
-      this.updateJobConfigTreeButton.TabIndex = 1;
-      this.updateJobConfigTreeButton.Text = "Update Config Tree from Experiment";
-      this.updateJobConfigTreeButton.UseVisualStyleBackColor = true;
-      this.updateJobConfigTreeButton.Click += new System.EventHandler(this.updateJobConfigTreeButton_Click);
-      // 
       // jobsTabPage
       // 
-      this.jobsTabPage.Controls.Add(this.jobItemView);
+      this.jobsTabPage.Controls.Add(this.hiveJobView);
       this.jobsTabPage.Location = new System.Drawing.Point(4, 22);
       this.jobsTabPage.Name = "jobsTabPage";
@@ -200,26 +170,16 @@
       this.jobsTabPage.UseVisualStyleBackColor = true;
       // 
-      // runsTabPage
-      // 
-      this.runsTabPage.Controls.Add(this.runCollectionView);
-      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
-      this.runsTabPage.Name = "runsTabPage";
-      this.runsTabPage.Size = new System.Drawing.Size(727, 390);
-      this.runsTabPage.TabIndex = 4;
-      this.runsTabPage.Text = "Runs";
-      this.runsTabPage.UseVisualStyleBackColor = true;
-      // 
-      // runCollectionView
-      // 
-      this.runCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+      // hiveJobView
+      // 
+      this.hiveJobView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
-      this.runCollectionView.Caption = "RunCollection View";
-      this.runCollectionView.Content = null;
-      this.runCollectionView.Location = new System.Drawing.Point(0, 3);
-      this.runCollectionView.Name = "runCollectionView";
-      this.runCollectionView.ReadOnly = false;
-      this.runCollectionView.Size = new System.Drawing.Size(727, 366);
-      this.runCollectionView.TabIndex = 0;
+      this.hiveJobView.Caption = "HiveJob View";
+      this.hiveJobView.Content = null;
+      this.hiveJobView.Location = new System.Drawing.Point(2, 3);
+      this.hiveJobView.Name = "hiveJobView";
+      this.hiveJobView.ReadOnly = true;
+      this.hiveJobView.Size = new System.Drawing.Size(722, 384);
+      this.hiveJobView.TabIndex = 0;
       // 
       // logTabPage
@@ -245,4 +205,19 @@
       this.logView.Size = new System.Drawing.Size(721, 362);
       this.logView.TabIndex = 0;
+      // 
+      // downloadExperimentButton
+      // 
+      this.downloadExperimentButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.downloadExperimentButton.Image = ((System.Drawing.Image)(resources.GetObject("downloadExperimentButton.Image")));
+      this.downloadExperimentButton.ImageAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      this.downloadExperimentButton.Location = new System.Drawing.Point(44, 22);
+      this.downloadExperimentButton.Name = "downloadExperimentButton";
+      this.downloadExperimentButton.Size = new System.Drawing.Size(164, 54);
+      this.downloadExperimentButton.TabIndex = 17;
+      this.downloadExperimentButton.Text = "Download Experiment";
+      this.toolTip.SetToolTip(this.downloadExperimentButton, "Reconnect to Hive");
+      this.downloadExperimentButton.UseVisualStyleBackColor = true;
+      this.downloadExperimentButton.Click += new System.EventHandler(this.downloadExperimentButton_Click);
       // 
       // startButton
@@ -360,43 +335,11 @@
       this.reconnectButton.Click += new System.EventHandler(this.reconnectButton_Click);
       // 
-      // downloadExperimentButton
-      // 
-      this.downloadExperimentButton.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.downloadExperimentButton.Enabled = false;
-      this.downloadExperimentButton.Location = new System.Drawing.Point(2, 123);
-      this.downloadExperimentButton.Name = "downloadExperimentButton";
-      this.downloadExperimentButton.Size = new System.Drawing.Size(725, 24);
-      this.downloadExperimentButton.TabIndex = 17;
-      this.downloadExperimentButton.Text = "Download Experiment";
-      this.toolTip.SetToolTip(this.downloadExperimentButton, "Reconnect to Hive");
-      this.downloadExperimentButton.UseVisualStyleBackColor = true;
-      this.downloadExperimentButton.Click += new System.EventHandler(this.downloadExperimentButton_Click);
-      // 
-      // jobConfigView
-      // 
-      this.jobConfigView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobConfigView.Caption = "JobConfigView";
-      this.jobConfigView.Content = null;
-      this.jobConfigView.Location = new System.Drawing.Point(3, 35);
-      this.jobConfigView.Name = "jobConfigView";
-      this.jobConfigView.ReadOnly = false;
-      this.jobConfigView.Size = new System.Drawing.Size(721, 352);
-      this.jobConfigView.TabIndex = 2;
-      // 
-      // jobItemView
-      // 
-      this.jobItemView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.jobItemView.Caption = "JobItem View";
-      this.jobItemView.Content = null;
-      this.jobItemView.Location = new System.Drawing.Point(2, 3);
-      this.jobItemView.Name = "jobItemView";
-      this.jobItemView.ReadOnly = true;
-      this.jobItemView.Size = new System.Drawing.Size(722, 384);
-      this.jobItemView.TabIndex = 0;
+      // downloadExperimentPanel
+      // 
+      this.downloadExperimentPanel.Controls.Add(this.downloadExperimentButton);
+      this.downloadExperimentPanel.Location = new System.Drawing.Point(331, 3);
+      this.downloadExperimentPanel.Name = "downloadExperimentPanel";
+      this.downloadExperimentPanel.Size = new System.Drawing.Size(250, 80);
+      this.downloadExperimentPanel.TabIndex = 18;
       // 
       // HiveExperimentView
@@ -404,4 +347,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.downloadExperimentPanel);
       this.Controls.Add(this.tabControl);
       this.Controls.Add(this.disconnectButton);
@@ -432,11 +376,11 @@
       this.Controls.SetChildIndex(this.nameTextBox, 0);
       this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      this.Controls.SetChildIndex(this.downloadExperimentPanel, 0);
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
       this.tabControl.ResumeLayout(false);
       this.experimentTabPage.ResumeLayout(false);
-      this.configurationTabPage.ResumeLayout(false);
       this.jobsTabPage.ResumeLayout(false);
-      this.runsTabPage.ResumeLayout(false);
       this.logTabPage.ResumeLayout(false);
+      this.downloadExperimentPanel.ResumeLayout(false);
       this.ResumeLayout(false);
       this.PerformLayout();
@@ -453,5 +397,4 @@
     private System.Windows.Forms.TextBox executionTimeTextBox;
     private System.Windows.Forms.Button pauseButton;
-    private System.Windows.Forms.TabPage configurationTabPage;
     private System.Windows.Forms.Label resourceIdsLabel;
     private System.Windows.Forms.TextBox resourceIdsTextBox;
@@ -464,11 +407,8 @@
     protected System.Windows.Forms.Button openExperimentButton;
     protected System.Windows.Forms.Button newExperimentButton;
-    private System.Windows.Forms.TabPage runsTabPage;
-    private Optimization.Views.RunCollectionView runCollectionView;
-    private System.Windows.Forms.Button updateJobConfigTreeButton;
     private System.Windows.Forms.TabPage jobsTabPage;
-    private JobItemView jobItemView;
-    private JobConfigView jobConfigView;
     private System.Windows.Forms.Button downloadExperimentButton;
+    private System.Windows.Forms.Panel downloadExperimentPanel;
+    private HiveJobView hiveJobView;
 
   }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4422)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveExperimentView.cs	(revision 4423)
@@ -30,4 +30,5 @@
 using HeuristicLab.Optimization.Views;
 using HeuristicLab.Hive.Experiment.Properties;
+using System.Threading;
 
 namespace HeuristicLab.Hive.Experiment.Views {
@@ -38,4 +39,6 @@
   [Content(typeof(HiveExperiment), true)]
   public sealed partial class HiveExperimentView : NamedItemView {
+    private ProgressView progressView;
+
     public new HiveExperiment Content {
       get { return (HiveExperiment)base.Content; }
@@ -48,4 +51,5 @@
     public HiveExperimentView() {
       InitializeComponent();
+      downloadExperimentPanel.Dock = DockStyle.Fill;
     }
 
@@ -58,7 +62,7 @@
       Content.Paused -= new EventHandler(Content_Paused);
       Content.Stopped -= new EventHandler(Content_Stopped);
-      Content.ExperimentChanged -= new EventHandler(Content_ExperimentChanged);
       Content.IsResultsPollingChanged -= new EventHandler(Content_IsResultsPollingChanged);
-      Content.RootJobItemChanged -= new EventHandler(Content_RootJobItemChanged);
+      Content.HiveJobChanged -= new EventHandler(Content_HiveJobChanged);
+      Content.IsProgressingChanged -= new EventHandler(Content_IsProgressingChanged);
       base.DeregisterContentEvents();
     }
@@ -74,7 +78,6 @@
       Content.Stopped += new EventHandler(Content_Stopped);
       Content.IsResultsPollingChanged += new EventHandler(Content_IsResultsPollingChanged);
-      Content.ExperimentChanged += new EventHandler(Content_ExperimentChanged);
-      Content.RootJobChanged += new EventHandler(Content_RootJobChanged);
-      Content.RootJobItemChanged += new EventHandler(Content_RootJobItemChanged);
+      Content.HiveJobChanged += new EventHandler(Content_HiveJobChanged);
+      Content.IsProgressingChanged += new EventHandler(Content_IsProgressingChanged);
     }
 
@@ -83,13 +86,14 @@
       if (Content == null) {
         executionTimeTextBox.Text = string.Empty;
+        resourceIdsTextBox.Text = string.Empty;
+        logView.Content = null;
       } else {
         executionTimeTextBox.Text = Content.ExecutionTime.ToString();
         resourceIdsTextBox.Text = Content.ResourceIds;
-        experimentNamedItemView.Content = Content.Experiment;
         logView.Content = Content.Log;
-        Content_ExperimentChanged(this, EventArgs.Empty);
-        Content_RootJobChanged(this, EventArgs.Empty);
-        Content_RootJobItemChanged(this, EventArgs.Empty);
-      }
+      }
+      Content_HiveJobChanged(this, EventArgs.Empty);
+      Content_IsProgressingChanged(this, EventArgs.Empty);
+      SetEnabledStateOfControls();
     }
 
@@ -97,7 +101,15 @@
       base.SetEnabledStateOfControls();
       executionTimeTextBox.Enabled = Content != null;
+      experimentNamedItemView.ReadOnly = true;
       if (Content != null) {
-        viewExperimentButton.Enabled = Content.Experiment != null;
-        experimentNamedItemView.Locked = Content.Experiment == null;
+        this.nameTextBox.ReadOnly = Content.ExecutionState != ExecutionState.Prepared;
+        this.descriptionTextBox.ReadOnly = Content.ExecutionState != ExecutionState.Prepared;
+        this.resourceIdsTextBox.ReadOnly = Content.ExecutionState != ExecutionState.Prepared;
+        this.hiveJobView.ReadOnly = Content.ExecutionState != ExecutionState.Prepared;
+
+        viewExperimentButton.Enabled = Content.GetExperiment() != null;
+
+        this.Locked = Content.ExecutionState == ExecutionState.Started && Content.IsPollingResults;
+        downloadExperimentPanel.Visible = Content.HiveExperimentId != Guid.Empty && Content.GetExperiment() == null;
       }
       SetEnabledStateOfExecutableButtons();
@@ -106,24 +118,8 @@
     protected override void OnClosed(FormClosedEventArgs e) {
       if (Content != null) {
-        if (Content.IsPollingResults) Content.StopResultPolling();
+        if (Content.IsPollingResults)
+          Content.StopResultPolling();
       }
       base.OnClosed(e);
-    }
-
-    private void Content_ExperimentChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_ExperimentChanged), sender, e);
-      else {
-        experimentNamedItemView.Content = Content.Experiment;
-        if (Content.Experiment != null) {
-          runCollectionView.Content = Content.Experiment.Runs;
-          if (Content.ExecutionState == ExecutionState.Stopped) {
-            Content.Prepare();
-          }
-          Content_RootJobChanged(sender, e);
-          Content_RootJobItemChanged(sender, e);
-        }
-        SetEnabledStateOfControls();
-      }
     }
 
@@ -133,5 +129,5 @@
         Invoke(new EventHandler(Content_ExecutionStateChanged), sender, e);
       else
-        SetEnabledStateOfExecutableButtons();
+        SetEnabledStateOfControls();
     }
     private void Content_Prepared(object sender, EventArgs e) {
@@ -141,5 +137,5 @@
         nameTextBox.Enabled = descriptionTextBox.Enabled = true;
         Locked = false;
-        SetEnabledStateOfExecutableButtons();
+        SetEnabledStateOfControls();
       }
     }
@@ -149,5 +145,5 @@
       else {
         nameTextBox.Enabled = descriptionTextBox.Enabled = false;
-        SetEnabledStateOfExecutableButtons();
+        SetEnabledStateOfControls();
       }
     }
@@ -157,5 +153,5 @@
       else {
         nameTextBox.Enabled = descriptionTextBox.Enabled = true;
-        SetEnabledStateOfExecutableButtons();
+        SetEnabledStateOfControls();
       }
     }
@@ -166,5 +162,5 @@
         nameTextBox.Enabled = descriptionTextBox.Enabled = true;
         Locked = false;
-        SetEnabledStateOfExecutableButtons();
+        SetEnabledStateOfControls();
       }
     }
@@ -188,17 +184,15 @@
       }
     }
-    void Content_RootJobChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_RootJobChanged), sender, e);
-      else {
-        jobConfigView.Content = Content.RootJob;
-        SetEnabledStateOfControls();
-      }
-    }
-    void Content_RootJobItemChanged(object sender, EventArgs e) {
-      if (InvokeRequired)
-        Invoke(new EventHandler(Content_RootJobItemChanged), sender, e);
-      else {
-        jobItemView.Content = Content.RootJobItem;
+    void Content_HiveJobChanged(object sender, EventArgs e) {
+      if (InvokeRequired)
+        Invoke(new EventHandler(Content_HiveJobChanged), sender, e);
+      else {
+        if (Content != null) {
+          hiveJobView.Content = Content.HiveJob;
+          experimentNamedItemView.Content = Content.GetExperiment();
+        } else {
+          hiveJobView.Content = null;
+          experimentNamedItemView.Content = null;
+        }
         SetEnabledStateOfControls();
       }
@@ -225,5 +219,5 @@
 
     private void newExperimentButton_Click(object sender, EventArgs e) {
-      Content.Experiment = new HeuristicLab.Optimization.Experiment();
+      Content.SetExperiment(new HeuristicLab.Optimization.Experiment());
     }
 
@@ -237,10 +231,10 @@
 
       if (openFileDialog.ShowDialog() == DialogResult.OK) {
-        Content.Experiment = (HeuristicLab.Optimization.Experiment)ContentManager.Load(openFileDialog.FileName);
+        Content.SetExperiment((HeuristicLab.Optimization.Experiment)ContentManager.Load(openFileDialog.FileName));
       }
     }
 
     private void showExperimentButton_Click(object sender, EventArgs e) {
-      MainFormManager.MainForm.ShowContent(Content.Experiment);
+      MainFormManager.MainForm.ShowContent(Content.GetExperiment());
     }
 
@@ -265,36 +259,52 @@
         startButton.Enabled = pauseButton.Enabled = stopButton.Enabled = resetButton.Enabled = reconnectButton.Enabled = disconnectButton.Enabled = false;
       } else {
-        startButton.Enabled = Content.Experiment != null && Content.ExecutionState == ExecutionState.Prepared;
-        pauseButton.Enabled = false; // disabled for now
+        startButton.Enabled = Content.GetExperiment() != null && Content.ExecutionState == ExecutionState.Prepared;
+        pauseButton.Enabled = false;
         stopButton.Enabled = Content.ExecutionState == ExecutionState.Started && Content.IsPollingResults;
-        resetButton.Enabled = Content.ExecutionState != ExecutionState.Started;
+        resetButton.Enabled = false;
         reconnectButton.Enabled = (Content.ExecutionState == ExecutionState.Started) && !Content.IsPollingResults;
         disconnectButton.Enabled = (Content.ExecutionState == ExecutionState.Started) && Content.IsPollingResults;
-
-        this.Locked = Content.ExecutionState == ExecutionState.Started && Content.IsPollingResults;
-        downloadExperimentButton.Enabled = Content.Experiment == null;
       }
     }
     #endregion
 
-    private void updateJobConfigTreeButton_Click(object sender, EventArgs e) {
-      Content.RefreshJobTree();
-    }
-
     private void downloadExperimentButton_Click(object sender, EventArgs e) {
-      ProgressView progressView = new ProgressView(this, "Downloading Experiment...", true);
-      var invoker = new MethodInvoker(Content.LoadExperimentFromHive);
+      var invoker = new MethodInvoker(Content.LoadHiveJob);
       invoker.BeginInvoke((ar) => {
         try {
-          invoker.EndInvoke(ar); // todo: das hier wird mehrfach aufgerufen... warum?
+          invoker.EndInvoke(ar);
         }
         catch (Exception ex) {
-          throw ex;
-        }
-        finally {
-          progressView.Finish();
+          ThreadPool.QueueUserWorkItem(delegate(object exception) { ErrorHandling.ShowErrorDialog(this, (Exception)exception); }, ex);
         }
       }, null);
     }
+
+    private void Content_IsProgressingChanged(object sender, EventArgs e) {
+      if (this.InvokeRequired) {
+        Invoke(new EventHandler(Content_IsProgressingChanged), sender, e);
+      } else {
+        if (Content != null && Content.IsProgressing) {
+          SetProgressView();
+        } else {
+          FinishProgressView();
+        }
+      }
+    }
+
+    private void SetProgressView() {
+      if (progressView == null) {
+        progressView = new ProgressView(this, Content.Progress);
+      }
+      progressView.Progress = Content.Progress;
+    }
+
+    private void FinishProgressView() {
+      if (progressView != null) {
+        progressView.Finish();
+        progressView = null;
+        SetEnabledStateOfControls();
+      }
+    }
   }
 }
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.Designer.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.Designer.cs	(revision 4423)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.Designer.cs	(revision 4423)
@@ -0,0 +1,32 @@
+﻿namespace HeuristicLab.Hive.Experiment.Views {
+  partial class HiveJobListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.cs
===================================================================
--- /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.cs	(revision 4423)
+++ /branches/3.3-Hive/sources/HeuristicLab.Hive/HeuristicLab.Hive.Experiment.Views/3.3/HiveJobListView.cs	(revision 4423)
@@ -0,0 +1,38 @@
+﻿using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Linq;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core.Views;
+using HeuristicLab.Core;
+using HeuristicLab.MainForm;
+using HeuristicLab.Optimization;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Hive.Experiment.Views {
+  [View("JobItemList View")]
+  [Content(typeof(HiveJobList), true)]
+  [Content(typeof(IItemList<HiveJob>), false)]
+  public partial class HiveJobListView : ItemListView<HiveJob> {
+
+    public HiveJobListView() {
+      InitializeComponent();
+      itemsGroupBox.Text = "Jobs";
+    }
+
+    protected override HiveJob CreateItem() {
+      return null;
+    }
+
+    protected override void SetEnabledStateOfControls() {
+      base.SetEnabledStateOfControls();
+      this.addButton.Enabled = false;
+      this.moveDownButton.Enabled = false;
+      this.moveUpButton.Enabled = false;
+      this.removeButton.Enabled = false;
+    }
+  }
+}
